Package Details: ros-kinetic-ros-comm 1.12.6-1

Git Clone URL: https://aur.archlinux.org/ros-kinetic-ros-comm.git (read-only)
Package Base: ros-kinetic-ros-comm
Description: ROS - ROS communications-related packages, including core client libraries (roscpp, rospy) and graph introspection tools (rostopic, rosnode, rosservice, rosparam).
Upstream URL: http://www.ros.org/wiki/ros_comm
Licenses: BSD
Submitter: zootboy
Maintainer: zootboy
Last Packager: zootboy
Votes: 2
Popularity: 0.041186
First Submitted: 2016-12-21 06:24
Last Updated: 2016-12-21 06:24

Latest Comments

Protecto commented on 2018-07-08 21:51

I have an issue with this package and boost-libs.

ros-kinetic-ros-comm 1.12.6-1
boost-libs 1.67.0-4

When running roscore I get:

process[rosout-1]: started with pid [16767]
/opt/ros/kinetic/lib/rosout/rosout: error while loading shared libraries: libboost_system.so.1.66.0: cannot open shared object file: No such file or directory
[rosout-1] process has died [pid 16767, exit code 127, cmd /opt/ros/kinetic/lib/rosout/rosout __name:=rosout __log:=/home/protecto/.ros/log/5105354c-82f7-11e8-84d2-a434d95270ec/rosout-1.log].                                                                                                                                                     
log file: /home/protecto/.ros/log/5105354c-82f7-11e8-84d2-a434d95270ec/rosout-1*.log                                                                                      
[rosout-1] restarting process

Downgrading boost-libs to 1.66.0-3 fixes this problem, but breaks other ROS components.

Is there any chance of updating this package in order for it to use boost-libs 1.67.0-4?